Subject: [Megaco] Silence Suppression

From: Tamar Nemet <[email-masked]>
Date: Mon, 10 Oct 2005 11:06:57 +0200

Hello,
 
I am looking for the package which include silence suppression (ON/OFF ?).
 
I looked at the tdmc package and I found there echo cancellation and gain
control, but no silence suppression.
 
Does anybody know where is it ?
 
Thanks,
Tamar
_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: [email-masked]
Date: Mon, 10 Oct 2005 13:04:04 +0200

There isn't any explicit Package so far.

One solution is to use the SDP attribute according

RFC 3108: 5.6.3.2  The 'silenceSupp' attribute.

This is defined for ATM-based ephemeral Terminations, but some of the RFC
3108 SDP structures are used for non-ATM Terminations, too.
But I'm not aware of explicit documentation.

- Albrecht

                      Tamar Nemet                                                                                                   
                      <tamar.nemet@com         To:      [email-masked]                                                             
                      match.com>               cc:      Victoria Mendelevich <[email-masked]>, Michal            
                      Sent by:                 Yachimovitz <[email-masked]>, Rima Mazorov                          
                      megaco-bounces@i         <[email-masked]>                                                          
                      etf.org                  Subject: [Megaco] Silence Suppression                                                

                      10.10.2005 11:06                                                                                              

Hello,

Thanks,
Tamar_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "Maridi R. Makaraju \(Raju\)" <[email-masked]>
Date: Mon, 10 Oct 2005 07:15:15 -0500

Tamar,

RFC 3108 defines 'silenceSupp' SDP parameter. You can take a look at it.
(The RFC is meant for ATM bearers but the silenceSupp can be used for
all bearer types).
For binary encoding you can use Annex C.

I don't think there is any package which attempts to defined them as they
are available in AnnexC(for binary) and in RFC 3108 for text.

-Raju
  -----Original Message-----
  From: [email-masked] [mailto:[email-masked]]On Behalf Of
Tamar Nemet
  Sent: Monday, October 10, 2005 4:07 AM
  To: [email-masked]
  Cc: Victoria Mendelevich; Michal Yachimovitz; Rima Mazorov
  Subject: [Megaco] Silence Suppression

  Hello,

  Thanks,
  Tamar

---

From: Christian Groves <[email-masked]>
Date: Fri, 14 Oct 2005 13:42:04 +1000

Hello all,

The value of Acodec (Annex C and used by Q.1950/3GPP Ts29.232) may also 
specify silence suppression for a given codec type. See the codec type 
subfield in Q.765.5

Christian

Maridi R. Makaraju (Raju) wrote:

> Tamar,
>  
> RFC 3108 <http://www.ietf.org/rfc/rfc3108.txt> defines 'silenceSupp' 
> SDP parameter. You can take a look at it.
>     *From:* [email-masked]
>     [mailto:[email-masked]]*On Behalf Of *Tamar Nemet
>     *Sent:* Monday, October 10, 2005 4:07 AM
>     *To:* [email-masked]
>     *Cc:* Victoria Mendelevich; Michal Yachimovitz; Rima Mazorov
>     *Subject:* [Megaco] Silence Suppression
>
>     Hello,
>      
>     I looked at the tdmc package and I found there echo cancellation
>     and gain control, but no silence suppression.
>      
>------------------------------------------------------------------------
>

---

From: [email-masked]
Date: Tue, 18 Oct 2005 09:04:44 +0200

Hi Christian,

"Q.765.5, § 11.1.7.2.1.1 Codec Type subfield"
provides codepoints for silence suppression modes of G.723.1 and G.729
codecs.

How would you enable/disable silence suppression mode for G.711 in case of
H.248 binary encoding mode?
Couldn't find any code in Q.765.5.

Thanks,
Albrecht

                      Christian Groves                                                                                                
                      <cngroves@bigpon         To:      "Maridi R. Makaraju (Raju)" <[email-masked]>                               
                      d.net.au>                cc:      Michal Yachimovitz <[email-masked]>, Victoria Mendelevich    
                      Sent by:                 <[email-masked]>, [email-masked], Rima Mazorov                     
                      megaco-bounces@i         <[email-masked]>                                                            
                      etf.org                  Subject: Re: [Megaco] Silence Suppression                                              

                      14.10.2005 05:42                                                                                                

Hello all,

Christian

---

From: Christian Groves <[email-masked]>
Date: Tue, 18 Oct 2005 17:49:48 +1000

Hello Albrecht,

Are you refering to G.711 Appendix II? "Single Codec" was added to 
Q.765.5 before Appendix II came into being. Therefore a codec point for 
G.711 with Silence suppression was not added. If someone requires a 
codepoint for this in Q.765.5 then a submission should be made to ITU 
SG11 for an amendment.

regards, Christian